import request from '@/utils/request'

// 查询流量输入工程数据列表
export function listEngineering(query) {
  return request({
    url: '/plc/engineering/list',
    method: 'get',
    params: query
  })
}

// 查询流量输入工程数据详细
export function getEngineering(id) {
  return request({
    url: '/plc/engineering/' + id,
    method: 'get'
  })
}

// 新增流量输入工程数据
export function addEngineering(data) {
  return request({
    url: '/plc/engineering',
    method: 'post',
    data: data
  })
}

// 修改流量输入工程数据
export function updateEngineering(data) {
  return request({
    url: '/plc/engineering',
    method: 'put',
    data: data
  })
}

// 删除流量输入工程数据
export function delEngineering(id) {
  return request({
    url: '/plc/engineering/' + id,
    method: 'delete'
  })
}
